﻿{------------------------------------------}
{                                          }
{             (c) 2017 by Aone             }
{                                          }
{              QQ: 1467948783              }
{                                          }
{      http://www.cnblogs.com/onechen      }
{                                          }
{------------------------------------------}

unit Main;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,

  ONE.Toast,

  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs, FMX.Ani,
  FMX.Controls.Presentation, FMX.StdCtrls, FMX.Objects, FMX.Layouts,
  FMX.EditBox, FMX.SpinBox, FMX.Colors, FMX.Edit;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Label1: TLabel;
    Edit1: TEdit;
    BackgroundColor: TColorPanel;
    FontColor: TColorPanel;
    FontSizeSpinBox: TSpinBox;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    LeadingRB: TRadioButton;
    CenterRB: TRadioButton;
    TrailingRB: TRadioButton;
    Rectangle1: TRectangle;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.fmx}

procedure TForm1.Button1Click(Sender: TObject);
var TextAlign: TTextAlign;
begin
     if LeadingRB.IsChecked  then TextAlign := TTextAlign.Leading else
     if CenterRB.IsChecked   then TextAlign := TTextAlign.Center else
     if TrailingRB.IsChecked then TextAlign := TTextAlign.Trailing;

     OneToast(Edit1.Text, FontSizeSpinBox.Value, TextAlign, BackgroundColor.Color, FontColor.Color);
end;

end.
